Package org.apache.lucene.benchmark.byTask.utils

# Class AnalyzerFactory

java.lang.Object
org.apache.lucene.benchmark.byTask.utils.AnalyzerFactory

public final class AnalyzerFactory extends Object
A factory to create an analyzer. See `AnalyzerFactoryTask`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnalyzerFactory(List<CharFilterFactory> charFilterFactories, TokenizerFactory tokenizerFactory, List<TokenFilterFactory> tokenFilterFactories)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Analyzer`
  `create()`
  `void`
  `setName(String name)`
  `void`
  `setOffsetGap(Integer offsetGap)`
  `void`
  `setPositionIncrementGap(Integer positionIncrementGap)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AnalyzerFactory

    public AnalyzerFactory(List<CharFilterFactory> charFilterFactories, TokenizerFactory tokenizerFactory, List<TokenFilterFactory> tokenFilterFactories)

- ## Method Details

  - ### setName

    public void setName(String name)

  - ### setPositionIncrementGap

    public void setPositionIncrementGap(Integer positionIncrementGap)

  - ### setOffsetGap

    public void setOffsetGap(Integer offsetGap)

  - ### create

    public Analyzer create()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`